aboutsummaryrefslogtreecommitdiffstats
path: root/testing/py-rst/APKBUILD
diff options
context:
space:
mode:
authorFabian Affolter <fabian@affolter-engineering.ch>2013-09-14 20:32:36 +0000
committerNatanael Copa <ncopa@alpinelinux.org>2013-09-17 15:01:32 +0000
commit825c013f34b22fa4582e3bbb8fc4b425b29fdff2 (patch)
tree43f722ebd502c4934dd9c6d65e1a5f09d46f8014 /testing/py-rst/APKBUILD
parent11407fd5509a5f221e37ba1fd42d527da0cc3665 (diff)
downloadaports-825c013f34b22fa4582e3bbb8fc4b425b29fdff2.tar.gz
aports-825c013f34b22fa4582e3bbb8fc4b425b29fdff2.tar.bz2
aports-825c013f34b22fa4582e3bbb8fc4b425b29fdff2.tar.xz
testing/py-rst: new aport
A Python module to create reStructuredText documents http://rst.readthedocs.org
Diffstat (limited to 'testing/py-rst/APKBUILD')
-rw-r--r--testing/py-rst/APKBUILD41
1 files changed, 41 insertions, 0 deletions
diff --git a/testing/py-rst/APKBUILD b/testing/py-rst/APKBUILD
new file mode 100644
index 0000000000..ec7ea133c8
--- /dev/null
+++ b/testing/py-rst/APKBUILD
@@ -0,0 +1,41 @@
+# Contributor: Fabian Affolter <fabian@affolter-engineering.ch>
+# Maintainer: Fabian Affolter <fabian@affolter-engineering.ch>
+pkgname=py-rst
+_pkgname=rst
+pkgver=0.1
+pkgrel=0
+pkgdesc="A Python module to create reStructuredText documents"
+url="http://rst.readthedocs.org"
+arch="noarch"
+license="MIT"
+depends="python"
+depends_dev=""
+makedepends="python-dev py-setuptools"
+install=""
+subpackages=""
+source="http://pypi.python.org/packages/source/${_pkgname:0:1}/$_pkgname/$_pkgname-$pkgver.tar.gz"
+
+_builddir="$srcdir"/$_pkgname-$pkgver
+prepare() {
+ local i
+ cd "$_builddir"
+ for i in $source; do
+ case $i in
+ *.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
+ esac
+ done
+}
+
+build() {
+ cd "$_builddir"
+ python setup.py build || return 1
+}
+
+package() {
+ cd "$_builddir"
+ python setup.py install --prefix=/usr --root="$pkgdir" || return 1
+}
+
+md5sums="779a84e4c5f55a89b85917c07a4e3568 rst-0.1.tar.gz"
+sha256sums="330e0bf3f2b7d71f48227bce809648df0fba02d3d1d214269d33fb6afb279f2d rst-0.1.tar.gz"
+sha512sums="77cf2500c79c702881ffaad23819c792575634046d30c3bc9ee3aef237c39bf2a20d85bd98c7d1ec175826beb4486b7c990c2750b4e045cb79fdfa51eb3220c6 rst-0.1.tar.gz"